@echo off
echo ===== pre =====
del /f /q *.lst
del /f /q *.p
if exist RUN_ME.B del /f /q RUN_ME.B
if exist z.C del /f /q z.C

rem --- Compile with "Macro Assembler AS" http://john.ccac.rwth-aachen.de:8000/as/
set ASMDIR=..\asw

echo ===== NeoGS-side code =====
if exist ngsside.p del /f /q ngsside.p
if exist ngsside.bin del /f /q ngsside.bin
%ASMDIR%\bin\asw.exe -L ngsside.a80
if exist ngsside.p %ASMDIR%\bin\p2bin.exe ngsside.p ngsside.bin -r $-$ -k
if not exist ngsside.bin goto err

echo ===== ZX-side code =====
if exist zxside.p del /f /q zxside.p
if exist zxside.bin del /f /q zxside.bin
%ASMDIR%\bin\asw.exe -L zxside.a80
if exist zxside.p %ASMDIR%\bin\p2bin.exe zxside.p zxside.bin -r $-$ -k
if not exist zxside.bin goto err

ren zxside.bin z.C

goto ok

:err
echo * ERROR! *

:ok
echo ===== post =====
del /f /q *.p
set ASMDIR=
